import type { _NSView } from "../AppKit/NSView.js";
import type { _VZVirtualMachine } from "./VZVirtualMachine.js";
export declare class _VZVirtualMachineView extends _NSView {
    static alloc(): _VZVirtualMachineView;
    static new(): _VZVirtualMachineView;
    init(): _VZVirtualMachineView;
    /** The virtual machine to display in the view. */
    virtualMachine(): _VZVirtualMachine | null;
    setVirtualMachine$(value: _VZVirtualMachine | null): void;
    /**
     * Whether certain system hot keys should be sent to the guest instead of the host. Defaults to NO.
     */
    capturesSystemKeys(): boolean;
    setCapturesSystemKeys$(value: boolean): void;
    /**
     * Automatically reconfigures the graphics display associated with this view with respect to view changes. Defaults to NO. Automatically resize or reconfigure this graphics display when the view properties update. For example, resizing the display when the view has a live resize operation. When enabled, the graphics display will automatically be reconfigured to match the host display environment. This property can only be set on a single VZVirtualMachineView targeting a particular VZGraphicsDisplay at a time. If multiple VZVirtualMachineViews targeting the same VZGraphicsDisplay enable this property, only one view will respect the property, and the other view will have had the property disabled.
     */
    automaticallyReconfiguresDisplay(): boolean;
    setAutomaticallyReconfiguresDisplay$(value: boolean): void;
}
